"R4i 3DS Revolution for DS" Revision 7 outdated?

Discussion in '3DS - Flashcards & Custom Firmwares' started by Slynch, Apr 27, 2014.

  1. Slynch
    OP

    Slynch Newbie

    Newcomer
    8
    0
    Apr 27, 2014
    Hey GBATemp!

    I recently acquired a 3DS as well as a DS flashcart that supposedly supported 3DS. After some research, I found that the newest FW version of the 3DS does not support my flashcart revision (7).

    So I did what any customer would do and emailed the website (r4ids.cn).



    From that response I can establish that they have positively no intention of updating it.

    I make this thread for two reasons:
    1) To warn that "r4ids.cn" sucks complete donkeys, and avoid like the plague. Who knows if you buy a new version if they'll stop supporting that one quickly too?
    2) To ask if I am well and truly screwed. I can use the cart on my fat DS, but that means I need two devices, when I'd really like to have an all-rounder.

    Thanks.
     
  2. gunner007

    gunner007 GBAtemp Advanced Maniac

    Member
    1,506
    368
    Dec 31, 2013
    United States
    Just two things:

    1. If you're honestly buying a DS only card - get a SuperCardTwo. R4 cards are notorious for being blocked in almost every firmware update.
    2. 3DS is still 4.1-4.5

    Most of the info is in the stickies.
     
  3. gamesquest1

    gamesquest1 Nabnut

    Member
    14,118
    9,453
    Sep 23, 2013
    i wouldn't set my expectations high on something that was already on revision 7 :P

    they are actually upto rev c now i think....that's 12 revisions lol, looking on their site i think the rev 7 only works up to 3.x or 4.2....something in that region
     
  4. Joe88

    Joe88 [λ]

    Member
    11,595
    2,819
    Jan 6, 2008
    United States
    NYC
    Pretty much, you get what you pay for
    They wont fork over an extra $20 for a dstwo and complain when their r4 clone in blocked and r4 teams says to buy the new hardware and then continue to buy clones
     
  5. Technicmaster0

    Technicmaster0 GBAtemp Psycho!

    Member
    3,053
    627
    Oct 22, 2011
    Gambia, The
    They already have a Rev. D.
     
  6. Slynch
    OP

    Slynch Newbie

    Newcomer
    8
    0
    Apr 27, 2014
    Well I've cut my losses and bought a new flashcart that's compatible with 7.1.0-16. Thanks for the replies!

    And yeah, they keep putting out more and more revisions :\